petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecGetLayout

get PetscLayout describing vector layout

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetLayout(Vec x,PetscLayout *map)

Not Collective

### Input Arguments

x -the vector

### Output Arguments

map -the layout

### See Also

VecGetSizes(), VecGetOwnershipRange(), VecGetOwnershipRanges()

### Level

developer

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages